import React from 'react';


export default function CategoryInstructions(props) {
  // setup defaults for this tree..
  const t = props.t;

  let a, itemType, wikidataTag;
  if (t === 'brands') {
    a = 'a';
    itemType = 'brand';
    wikidataTag = 'brand:wikidata';
  } else if (t === 'flags') {
    a = 'a';
    itemType = 'flag';
    wikidataTag = 'flag:wikidata';
  } else if (t === 'operators') {
    a = 'an';
    itemType = 'operator';
    wikidataTag = 'operator:wikidata';
  } else if (t === 'transit') {
    a = 'a';
    itemType = 'network';
    wikidataTag = 'network:wikidata';
  }

  // Flags don't have Facebook accounts
  let social = '';
  if (t !== 'flags') {
    social = `You can add the ${itemType}'s Facebook or Twitter usernames, and this project will pick up the logos later.`;
  }

  return (
    <>
    <div className='instructions'>Some things you can do here:
    <ul>
    <li>Is {a} {itemType} missing or something is incorrect? <a target='_blank' href='https://github.com/osmlab/name-suggestion-index/issues'>Open an issue</a> or pull request to add it!</li>
    <li>Click the "Search Overpass Turbo" link to see where the {itemType} is mapped in OpenStreetMap.</li>
    <li>If a record is missing a <code>'{wikidataTag}'</code> tag, you can do the research to add it to our project, or filter it out if it is not {a} {itemType}.<br/>
      See <a target='_blank' href='https://github.com/osmlab/name-suggestion-index/blob/main/CONTRIBUTING.md'>CONTRIBUTING.md</a> for more info.</li>
    <li>If a record with a <code>'{wikidataTag}'</code> tag has a poor description or is missing logos, click the Wikidata link and edit the Wikidata page.<br/>{social}</li>
    </ul>
    </div>
    </>
  );
};